/* === ヘッダー「学校生活」レイアウト修正 === */

.hd-megaMenu {
    bottom: 0;
    display: none;
    position: absolute;
    right: -270%;
    --tw-translate-y: 100%;
    opacity: 0;
    padding-top: 15rem;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    transition-duration: .5s
}

@media (min-width:1272px) {
    .hd-megaMenu {
        padding-top: 20rem
    }
}

.hd-megaMenu-inr {
    border-radius: 12.5rem;
    height: 64rem;
    position: relative;
    width: 1600rem
}

.hd-megaMenu-inr:after {
    border-radius: 50%;
    height: 8rem;
    left: 76.5%;
    position: absolute;
    top: -27rem;
    width: 8rem;
    --tw-bg-opacity: 1;
    background-color: rgb(0 130 235/var(--tw-bg-opacity));
    --tw-content: "";
    content: var(--tw-content)
}

@media (min-width:1272px) {
    .hd-megaMenu-inr {
        border-radius: 16rem
    }
}

.hd-megaMenu-list {
    display: flex;
    height: 100%;
    justify-content: center
}

.hd-megaMenu-item {
    height: 100%;
    width: 25%;
    --tw-bg-opacity: 1;
    background-color: rgb(0 130 235/var(--tw-bg-opacity))
}

.hd-megaMenu-item:first-child {
    border-bottom-left-radius: 10rem;
    border-top-left-radius: 10rem
}

.hd-megaMenu-item:last-child {
    border-bottom-right-radius: 10rem;
    border-top-right-radius: 10rem
}

.hd-megaMenu-item:nth-child(n+2) {
    border-left-width: 1px;
    border-style: dashed;
    --tw-border-opacity: 1;
    border-color: rgb(255 255 255/var(--tw-border-opacity))
}

.hd-megaMenu-link {
    align-items: center;
    display: flex;
    font-size: 18rem;
    font-weight: 700;
    height: 100%;
    justify-content: center;
    position: relative;
    width: 100%;
    --tw-text-opacity: 1;
    color: rgb(255 255 255/var(--tw-text-opacity));
    transition-duration: .5s
}

@media (min-width:1272px) {
    .hd-megaMenu-link:hover {
        opacity: .7
    }
}

.hd-megaMenu-svg {
    height: 20rem;
    position: absolute;
    right: 24rem;
    top: 50%;
    width: 20rem;
    --tw-translate-y: -50%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    fill: #fff
}

/* ==== フッター css修正 ==== */

.ft-link-list {
    -moz-column-gap: 80rem;
    column-gap: 80rem;
    display: flex;
    flex-wrap: wrap;
    row-gap: 20rem;
    width: 620rem
}

.ft-link-list.gap-small {
    -moz-column-gap: 64rem;
    column-gap: 64rem
}

.ft-link-item:nth-child(4n+1) {
    min-width: 102rem
}

.ft-link-item:nth-child(4n+2),
.ft-link-item:nth-child(4n+3) {
    min-width: 84rem
}

/* ==== フッター スポンサー修正 ==== */
.ft-support-list{
    display:flex;flex-wrap:wrap;row-gap:10rem
}
@media (min-width:768px){
    .ft-support-list{
        -moz-column-gap:16rem;column-gap:16rem
    }
}
.ft-support-item{
    width:100%
}
@media (min-width:768px){
    .ft-support-item{
        width:calc(33.33333% - 10.66667rem)
    }
}